# Basic CAC

{% hint style="info" %}
TEST DATA

1. rc\_number: 092932, company\_name: TEST COMPANY
2. rc\_number: 453477, company\_name: Salas-Nguyen
3. rc\_number: 895135, company\_name: Patterson Inc
4. rc\_number: 619853, company\_name: Anderson LLC
5. rc\_number: 753561, company\_name: Patel-Ward
   {% endhint %}

## Verify CAC

<mark style="color:green;">`POST`</mark> `https://api.myidentitypay.com/api/v1/biometrics/merchant/data/verification/cac`

This endpoint allows you to verify an RC number of a business

#### Query Parameters

| Name          | Type   | Description                  |
| ------------- | ------ | ---------------------------- |
| rc\_number    | number | The RC number of the company |
| company\_name | string | name of company              |

#### Headers

| Name      | Type   | Description        |
| --------- | ------ | ------------------ |
| x-api-key | string | \<your secret key> |

{% tabs %}
{% tab title="200 Company details successfully retrieved." %}

```
{
    "status": true,
    "detail": "Verification Successfull",
    "response_code": "00",
    "data": {
        "rc_number": "",
        "company_name": "",
        "email_address": "",
        "branchAddress": "",
        "city": "",
        "address": "",
        "company_status": "",
        "lga": "",
        "date_of_registration": "",
        "state": "",
        "directors": [
            {
                "name": "test A",
                "designation": "Director"
            },
            {
                "name": "test B",
                "designation": "Director"
            },
            {
                "name": "test C",
                "designation": "Secretary"
            },
            {
                "name": "test D",
                "designation": "Shareholder"
            },
            {
                "name": "test E",
                "designation": "Deponent"
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/v1/data-verification-1/data-verification/nigeria/cac-verification/verify-cac.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
